Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 814546 - uim toolbar is not aligned properly in xfce systray
Summary: uim toolbar is not aligned properly in xfce systray
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: uim
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-20 05:56 UTC by David Lee
Modified: 2016-07-19 20:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:02:03 UTC
Type: Bug


Attachments (Terms of Use)
The attachment shows the actual (wrong) and expected (right) result (2.28 KB, image/png)
2012-04-20 05:56 UTC, David Lee
no flags Details


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 49122 0 None None None Never

Description David Lee 2012-04-20 05:56:01 UTC
Created attachment 578869 [details]
The attachment shows the actual (wrong) and expected (right) result

Description of problem:

when I ran uim-toolbar-gtk-systray or uim-toolbar-gtk3-systray, the systray icons were not centered vertically.

How reproducible:

Steps to Reproduce:

1. Use xfce for desktop environment.
2. Install uim, uim-gtk2 and uim-gtk3
3. Enter the environment (startxfce4 or graphical login).
4. Make sure the panel has a notification area (if none, right click a panel -> select "panel" -> select "add new item" -> select "notification area").
5. In a console (xfce terminal), type uim-toolbar-gtk-systray.
  
Actual results:

The uim toolbar appeared in the systray, but were aligned to the bottom, instead of vertically centre.


Expected results:

The toolbar should appear in the systray, centred vertically.

Additional info:

I included two tiny screenshots of what was wrong and what should be right.

Comment 1 Akira TAGOH 2012-04-23 05:53:13 UTC
I can't reproduce on Fedora-17-Beta-x86_64-Live-XFCE.iso. let me check on f16 later.

Comment 2 David Lee 2012-04-23 14:27:56 UTC
The bug doesn't show up if I configure wicd gtk client to run (which also put a systray icon). Maybe any other systray icons from any apps will suppress the bug.

Comment 3 Akira TAGOH 2012-04-24 01:58:22 UTC
What apps sit down on your systray?

Comment 4 Akira TAGOH 2012-04-24 06:25:41 UTC
works for me on even f16.

Comment 5 David Lee 2012-04-24 12:34:02 UTC
(In reply to comment #3)
> What apps sit down on your systray?

Nothing other than the uim systray.

The bug only shows if *nothing other than* uim is present in the systray.
If you have other items in the systray, the uim systray will work fine.

Comment 6 Akira TAGOH 2012-04-25 02:17:20 UTC
Got it. I can reproduce it on even f17 now.

Comment 7 Fedora End Of Life 2013-01-17 00:29:23 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Akira TAGOH 2013-01-23 11:35:41 UTC
still persist in f18.

Comment 9 Fedora End Of Life 2013-12-21 15:01:55 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-05-29 08:44:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2016-07-19 20:02:03 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.